aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2015-06-10 03:58:37 +0200
committerTristan Gingold <tgingold@free.fr>2015-06-10 03:58:37 +0200
commite726be425740402ab57e91a66d2cd8b812974bf4 (patch)
tree51d562426fe1c187ba7d723e1e76f7a522d79272 /testsuite
parente6d3f2d007196dbddad119520c530454ab5a33c9 (diff)
downloadghdl-e726be425740402ab57e91a66d2cd8b812974bf4.tar.gz
ghdl-e726be425740402ab57e91a66d2cd8b812974bf4.tar.bz2
ghdl-e726be425740402ab57e91a66d2cd8b812974bf4.zip
Use directory of output for elaboration file.
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/gna/ticket87/testsuite.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/testsuite/gna/ticket87/testsuite.sh b/testsuite/gna/ticket87/testsuite.sh
index 8e87fd9e5..c20ce2918 100755
--- a/testsuite/gna/ticket87/testsuite.sh
+++ b/testsuite/gna/ticket87/testsuite.sh
@@ -2,16 +2,17 @@
. ../../testenv.sh
-mkdir dir1 dir2 || true
+mkdir dir1 dir2 dir3 || true
cd dir1
analyze ../hello.vhdl
-elab_simulate hello
+elab_simulate -v hello
+elab -v -o ../dir3/hello1 hello
cd ../dir2
-elab_simulate --workdir=../dir1 hello
+elab_simulate -v --workdir=../dir1 hello
cd ..
-rm -rf dir1 dir2
+rm -rf dir1 dir2 dir3 dir4
echo "Test successful"